package com.njcn.pojo.commons;

import java.io.Serializable;

/**
 * @author hongawen
 * @date: 2019/9/19 20:21
 */
public class ResponseData implements Serializable {
    private int resultCode;

    private int msgCode;

    private String msg;

    private Object data;

    public int getResultCode() {
        return resultCode;
    }

    public void setResultCode(int resultCode) {
        this.resultCode = resultCode;
    }

    public int getMsgCode() {
        return msgCode;
    }

    public void setMsgCode(int msgCode) {
        this.msgCode = msgCode;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    @Override
    public String toString() {
        return "ResponseData{" +
                "resultCode=" + resultCode +
                ", msgCode=" + msgCode +
                ", msg='" + msg + '\'' +
                ", data=" + data +
                '}';
    }
}
